/*
 Copyright 2015 Nicolas Melot

 This file is part of Crown.

 Crown is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 Crown is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Crown. If not, see <http://www.gnu.org/licenses/>.

*/


#include <iostream>

#include <iostream>
#include <cstdlib>
#include <fstream>
#include <string>
#include <boost/regex.hpp>
#include <iomanip>

#include <pelib/AmplInput.hpp>
#include <pelib/AmplOutput.hpp>

#include <pelib/AmplInputData.hpp>
#include <pelib/AmplInputScalar.hpp>
#include <pelib/AmplInputVector.hpp>
#include <pelib/AmplInputMatrix.hpp>

#include <pelib/AmplOutputScalar.hpp>
#include <pelib/AmplOutputVector.hpp>
#include <pelib/AmplOutputMatrix.hpp>

#include <pelib/Scalar.hpp>
#include <pelib/Set.hpp>
#include <pelib/Vector.hpp>
#include <pelib/Matrix.hpp>
#include <crown/CrownAllocation.hpp>

#include <pelib/unit.h>

using namespace pelib;
using namespace pelib::crown;
using namespace std;

// Include cpp format input
// Import the buildRecord() function
#include "make_record.cpp"

void
init()
{
}

void
setup()
{
  // Allocate and initialize your test stack before each test
}

void
teardown()
{
  // Do not forget to free your stacks after each test
  // to avoid memory leaks as now
}

void
cleanup()
{
  // Destroy properly your test batch
}

void
run()
{
  // No test
}
